=== src/kcm/CMakeLists.txt ===
#######################################
# Effect

#######################################
# Config
find_package (Qt5 REQUIRED COMPONENTS
    Core
    DBus
)

find_package (KF5 REQUIRED COMPONENTS
    ConfigWidgets
    GlobalAccel
    I18n
    Service
    XmlGui
)

set(kwin_vrmirror_config_SRCS vrmirror_config.cpp)
qt5_add_dbus_interface(kwin_vrmirror_config_SRCS dbus.xml kwineffects_interface)

add_library(kwin_xrdesktop_config MODULE ${kwin_vrmirror_config_SRCS})

target_link_libraries(kwin_xrdesktop_config
    Qt5::Core
    Qt5::DBus
    KF5::ConfigWidgets
    KF5::GlobalAccel
    KF5::I18n
    KF5::Service
    KF5::XmlGui
)

kcoreaddons_desktop_to_json(kwin_xrdesktop_config vrmirror_config.desktop SERVICE_TYPES kcmodule.desktop)

install(
    TARGETS
        kwin_xrdesktop_config
    DESTINATION
        ${PLUGIN_INSTALL_DIR}/kwin/effects/configs
)
