=== debian/changelog ===
kwin-effect-xrdesktop (0.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 24 Jul 2020 11:33:29 +0800

kwin-effect-xrdesktop (0.14.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 21 Apr 2020 15:40:45 +0800

kwin-effect-xrdesktop (0.14.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #955608)
  * Bump versions on build-deps.
  * Move package from contrib to main as no build-deps on non-free
    anymore.
  * Add versioned build-deps on gulkan.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 13 Apr 2020 08:07:13 +0800

kwin-effect-xrdesktop (0.13.2-2) unstable; urgency=medium

  * Add missing gplv2+ lisense files into copyright file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 04 Jan 2020 11:11:10 +0800

kwin-effect-xrdesktop (0.13.2-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Initial Release. (Closes: #933565)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 24 Dec 2019 14:57:43 +0800
