=== debian/control ===
Source: kwin-effect-xrdesktop
Section: kde
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
 appstream,
 cmake,
 extra-cmake-modules,
 qtbase5-dev,
 libkf5configwidgets-dev,
 libkf5globalaccel-dev,
 libkf5i18n-dev,
 libkf5service-dev,
 libkf5xmlgui-dev,
 kwin-dev,
 libgulkan-dev (>= 0.15~),
 libgxr-dev,
 libgraphene-1.0-dev,
 libgdk-pixbuf2.0-dev,
 libcairo2-dev,
 libgtk-3-dev,
 libxdo-dev,
 libxrdesktop-dev (>= 0.15~),
 libinputsynth-dev (>= 0.15~),
Standards-Version: 4.3.0
Homepage: https://gitlab.freedesktop.org/xrdesktop/kwin-effect-xrdesktop
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/kwin-effect-xrdesktop
Vcs-Git: https://salsa.debian.org/xrdesktop-team/kwin-effect-xrdesktop.git

Package: kwin-effect-xrdesktop
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: xrdesktop effect for KWin
 The xrdesktop effect for KWin. Mirror desktop windows into VR.
